<?php
require'../config.php';
$title='Гаремы чата';
$align='left';
aut();
head();
who_add(0,'enter');


$cost = 150; //Первоначальная стоимость пользователя
$id = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".intval($_GET['id'])."'"));
$id=$id['id'];
if(isset($_GET['act']))$act=$_GET['act'];


switch ($_GET['act']) {
	default:

	if (isset($_GET['id'])) {
		$garem = mysql_fetch_array(mysql_query("SELECT `cost` FROM `garem_stat` WHERE `user_id` = '".$id."'"));
		if ($id == $user['id']) {

			// Выкуп
			echo 'Выкупить <a href="'.H.$id.'"><b>себя</b></a> из всех гаремов стоит '.$garem['cost'].' Рублей<br/> У Вас '.$user['rur'].' Рублей <br/>';
			if (($user['rur'] - $garem['cost']) >= 0) {
				echo '<form action="index.php?id='.$id.'&amp;act=do"  method="post">';
				echo '<input type="submit" name = "submit" value="Выкупить" /></form>';
			}
			else echo 'Копите бабки... <br/>';
		}
		else {
			// Кража
			$us = mysql_fetch_array(mysql_query("SELECT `user` FROM `users` WHERE `id` = '".$id."'"));
			if (!isset($garem['cost'])) $garem['cost'] = 150;
			echo 'Укpасть в гарем <a href="'.H.$id.'"><b>'.nik($us['user']).'</b></a> стоит '.$garem['cost'].' Рублей <br /> У Вас '.$user['rur'].' Рублей <br />';
			if (($user['rur'] - $garem['cost']) >= 0) {
				echo '<form action="index.php?id='.$id.'&amp;act=do"  method="post">';
				echo '<input type="submit" name = "submit" value="Выкрасть" /></form>';
			}
			else echo 'Копите бабки... <br/>';
		}
	}
	else {
		echo 'Игра "Гаремы чата"<br/>

Каждый пользователь может выкрасть в свой гарем другого пользователя за деньги чата. Причем с каждой кражей пользователя его цена возрастает на 25% (становится более ценным). Для любителей свободы есть возможность выкупить себя из гаремов за деньги чата. Чем больше пользователей побывали у Вас в гареме и чем больше раз украли Вас, тем выше Вы в рейтингах :)<br/>= = =<br/>';
		echo '<a href="index.php?act=top&amp;cost">Топ самых ценных пользователей</a><br/>= = =<br/>';
		echo '<a href="index.php?act=top&amp;exp">Топ самых опытных пользователей</a><br/>= = =<br/>';
		echo '<a href="index.php?act=top&amp;rich">Топ самых успешных гаремов</a><br/>';
	}
	break;

	case "do":
	if (!isset($id)) {
		header('location: /info.php');
		exit;
	}
	$req = mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '".$id."'");
	$count2 = mysql_num_rows($req);
	if (!$count2)
	mysql_query("INSERT INTO `garem_stat` SET `user_id`='".$id."',`stolen`='0',`stole`='0',`mod`='0',`cost`='".$cost."'");
	$garem = mysql_fetch_array(mysql_query("SELECT `cost` FROM `garem_stat` WHERE `user_id` = '".$id."'"));
	if (($user['rur'] - $garem['cost']) < 0) {
		header("location: /info.php");
		exit;
	}
	if ($id == $user['id']) {
		// Выкуп
		mysql_query("UPDATE `users` SET `rur`= '".$user['rur']."' - '".$garem['cost']."' WHERE `id`='".$user['id']."'");
		mysql_unbuffered_query ( "delete from `garem` where `user_id` = '".$user['id']."'");
$time = time();

$mess = "Поздавляем! Вы Успешно сбежали из всех гаремов!";
$msg = "Пользователь ".nik($user[id])." сбежал с вашего гарема!";
$db->sql_query ("INSERT INTO privat (user,user_id,msg,to_user,to_id,time,readin) VALUES ('$user_system','0','$mess','$user','$id','$time','0') && ('$user_system','0','$msg','$user','$thief_id','$time','0')");
		echo 'Поздавляем! Вы сбежали из всех гаремов!<br/>';
	}
	else {
		// Кража
		$count3 = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `user_id` = '".$id."' and `thief_id` = '".$user['id']."'"),0);
		if ($count3) echo 'Этот пользователь уже у Вас в гареме<br/>';
		else {
			$rur = $user['rur'] - $garem['cost'];
			mysql_query("UPDATE `users` SET `rur`= '".$rur."' WHERE `id` = '".$user['id']."'");
			mysql_query("INSERT INTO `garem` SET `user_id`='" . $id . "',`thief_id`='" . $user['id'] . "',`time`='" . time(). "',`cost`='" . $garem['cost']. "'");
			mysql_query("UPDATE `garem_stat` SET `cost`= '" . intval($garem['cost'] + 0.25 * $garem['cost']) . "',`stolen` = `stolen` + 1 WHERE `user_id` = '".$id."'");
			mysql_query("UPDATE `garem_stat` SET
`stole`= `stole` + 1 WHERE `user_id` = '".$user['id']."'");
$time = time();
$mess1 = "Пользователь <red>".nik($user[user])."</red> купил Вас в свой гарем!";
$db->sql_query ("INSERT INTO privat (user,user_id,msg,to_user,to_id,time,readin) VALUES ('$user_system','0','$mess1','$user','$id','$time','0')");
			echo 'Поздавляем! Вы забрали пользователя '.nik($id).' к себе в гарем!<br/>';
		}
	}
	break;

	case "garem":
	if (isset($_GET['gar1'])) {
		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `thief_id` = '".$id."'"),0);
		echo 'В гареме '.$count.' чел.<br/>- - -<br/>';
		if ($count) {
			$req = mysql_query("select `garem`.`user_id`, `users`.`user` FROM `garem` LEFT JOIN `users` on `garem`.`user_id` = `users`.`id` where `garem`.`thief_id` = '".$id."'");
			while ($res = mysql_fetch_array($req)) {
				echo '<a href="'.H.($res['user_id']).'">' .nik($res['user']). '</a><br/>***<br/>';
			}
		}
		echo '<a href="../info.php?id='.$id.'">Назад</a><br/>';
	}
	elseif (isset($_GET['gar2'])) {
		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `user_id` = '".$id."'"),0);
		echo 'В гареме у '.$count.' чел.<br/>- - -<br/>';
		if ($count) {
			$req = mysql_query("SELECT `garem`.`thief_id`, `users`.`user` FROM `garem` LEFT JOIN `users` on `garem`.`thief_id` = `users`.`id` where `garem`.`user_id` = '".$id."'");
			while ($res = mysql_fetch_array($req)) {
				echo '<a href="'.H.($res['thief_id']).'">' .nik($res['user']). '</a><br/>***<br/>';
			}
		}
		echo '<a href="'.H.$id.'">Назад</a><br/>';
	}
	else header("location: index.php");
	break;

	case "top":
	if (isset($_GET['cost'])) {
		echo 'Топ самых ценных пользователей<br/>';
		$req = mysql_query("SELECT `garem_stat`.*, `users`.`user` FROM `garem_stat` LEFT JOIN `users` on `garem_stat`.`user_id` = `users`.`id` ORDER BY `garem_stat`.`cost` DESC LIMIT 10");
		while ($res = mysql_fetch_array($req)) {
			echo '<a href="'.H.($res['user_id']).'">' .nik($res['user']). '</a> -  ' . $res['cost'] . ' Руб.<br/><hr/>';
		}
		echo '<a href="index.php">Назад</a><br/>';
	}
	elseif (isset($_GET['rich'])) {
		echo 'Топ самых успешных гаремов<br/>';
		$req = mysql_query("SELECT `garem_stat`.*, `users`.`user` FROM `garem_stat` LEFT JOIN `users` on `garem_stat`.`user_id` = `users`.`id` ORDER BY `garem_stat`.`stole` DESC LIMIT 10");
		while ($res = mysql_fetch_array($req)) {
			echo '<a href="'.H.($res['user_id']).'">' .nik($res['user']). '</a> - держал в гареме ' . $res['stole'] . ' чел.<br/><hr/>';
		}
		echo '<a href="index.php">Назад</a><br/>';
	}
	elseif (isset($_GET['exp'])) {
		echo 'Топ самых опытных пользователей<br/>';
		$req = mysql_query("SELECT `garem_stat`.*, `users`.`user` FROM `garem_stat` LEFT JOIN `users` on `garem_stat`.`user_id` = `users`.`id` ORDER BY `garem_stat`.`stolen` DESC LIMIT 10");
		while ($res = mysql_fetch_array($req)) {
			echo '<a href="'.H.($res['user_id']).'">' .nik($res['user']). '</a> - был в ' . $res['stolen'] . ' гаремах<br/><hr/>';
		}
		echo '<a href="index.php">Назад</a><br/>';
	}
	else header("location: index.php");
	break;

}
echo gb . '<center><a href="'.H.'garem">Гаремы</a></center>'.div;
echo gb . '<center><a href="'.H.'enter">Прихожая</a></center>'.div;
foot();
?>